const mongoose = require('mongoose');



const UserSchema = new mongoose.Schema({
    name: {
        type: String,
        required: true,
        min: 3,
        max: 20,

    },
    email: {
        type: String,
        required: true,
        max: 50,
        unique: true,
        index: true,


    },
    password: {
        type: String,
        required: true,
        min: 6,
    },
    picture: {
        type: String,
    },
    newMessages: {
        type: Object,
        default: {}
    },
    status: {
        type: String,
        default: 'online'
    },

}, {minimize: false});



const User =  mongoose.model('User', UserSchema);

module.exports = User;

